Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface IWorkbenchActionDefinitionIds

All Known Subinterfaces:
  ITextEditorActionDefinitionIds

public interface IWorkbenchActionDefinitionIds

Defines the definitions ids for workbench actions.

Since:
  2.0

Field Summary
`static String` | `ADD_BOOKMARK` Action definition id of the edit add bookmark action.
`static String` | `ADD_TASK` Action definition id of the edit add task action.
`static String` | `COPY` Action definition id of the edit copy action.
`static String` | `CUT` Action definition id of the edit cut action.
`static String` | `DELETE` Action definition id of the edit delete action.
`static String` | `FIND_INCREMENTAL` Action definition id of the edit incremental find action.
`static String` | `FIND_INCREMENTAL_REVERSE` Action definition id of the edit incremental find reverse action.
`static String` | `FIND_NEXT` Action definition id of the edit find next action.
`static String` | `FIND_PREVIOUS` Action definition id of the edit find previous action.
`static String` | `FIND_REPLACE` Action definition id of the edit find/replace action.
`static String` | `MOVE` The command identifier for the "move" action that typically appears in the file menu.
`static String` | `PASTE` Action definition id of the edit past action.
`static String` | `PRINT` Action definition id of the file print action.
`static String` | `REDO` Action definition id of the edit redo action.
`static String` | `RENAME` The command identifier for the "rename" action that typically appears in the file menu.
`static String` | `REVERT_TO_SAVED` Action definition id of the file revert action.
`static String` | `SAVE` Action definition id of the file save action.
`static String` | `SELECT_ALL` Action definition id of the edit select all action.
`static String` | `UNDO` Action definition id of the edit undo action.

Field Detail

### PRINT

    public static final String PRINT

  Action definition id of the file print action. Value: `"org.eclipse.ui.file.print"`

  See Also:
    Constant Field Values

### SAVE

    public static final String SAVE

  Action definition id of the file save action. Value: `"org.eclipse.ui.file.save"`

  See Also:
    Constant Field Values

### REVERT_TO_SAVED

    public static final String REVERT_TO_SAVED

  Action definition id of the file revert action. Value: `"org.eclipse.ui.edit.revertToSaved"`

  See Also:
    Constant Field Values

### CUT

    public static final String CUT

  Action definition id of the edit cut action. Value: `"org.eclipse.ui.edit.cut"`

  See Also:
    Constant Field Values

### COPY

    public static final String COPY

  Action definition id of the edit copy action. Value: `"org.eclipse.ui.edit.copy"`

  See Also:
    Constant Field Values

### PASTE

    public static final String PASTE

  Action definition id of the edit past action. Value: `"org.eclipse.ui.edit.paste"`

  See Also:
    Constant Field Values

### UNDO

    public static final String UNDO

  Action definition id of the edit undo action. Value: `"org.eclipse.ui.edit.undo"`

  See Also:
    Constant Field Values

### REDO

    public static final String REDO

  Action definition id of the edit redo action. Value: `"org.eclipse.ui.edit.redo"`

  See Also:
    Constant Field Values

### DELETE

    public static final String DELETE

  Action definition id of the edit delete action. Value: `"org.eclipse.ui.edit.delete"`

  See Also:
    Constant Field Values

### SELECT_ALL

    public static final String SELECT_ALL

  Action definition id of the edit select all action. Value: `"org.eclipse.ui.edit.selectAll"`

  See Also:
    Constant Field Values

### FIND_REPLACE

    public static final String FIND_REPLACE

  Action definition id of the edit find/replace action. Value: `"org.eclipse.ui.edit.findReplace"`

  See Also:
    Constant Field Values

### ADD_BOOKMARK

    public static final String ADD_BOOKMARK

  Action definition id of the edit add bookmark action. Value: `"org.eclipse.ui.edit.addBookmark"`

  See Also:
    Constant Field Values

### ADD_TASK

    public static final String ADD_TASK

  Action definition id of the edit add task action. Value: `"org.eclipse.ui.edit.addTask"`

  See Also:
    Constant Field Values

### FIND_NEXT

    public static final String FIND_NEXT

  Action definition id of the edit find next action. Value: `"org.eclipse.ui.edit.findNext"`

  See Also:
    Constant Field Values

### FIND_PREVIOUS

    public static final String FIND_PREVIOUS

  Action definition id of the edit find previous action. Value: `"org.eclipse.ui.edit.findPrevious"`

  See Also:
    Constant Field Values

### FIND_INCREMENTAL

    public static final String FIND_INCREMENTAL

  Action definition id of the edit incremental find action. Value: `"org.eclipse.ui.edit.findIncremental"`

  See Also:
    Constant Field Values

### FIND_INCREMENTAL_REVERSE

    public static final String FIND_INCREMENTAL_REVERSE

  Action definition id of the edit incremental find reverse action. Value: `"org.eclipse.ui.edit.findIncrementalReverse"`

  Since:
    2.1
  See Also:
    Constant Field Values

### MOVE

    public static final String MOVE

  The command identifier for the "move" action that typically appears in the file menu. Value: `"org.eclipse.ui.edit.move"`

  Since:
    3.0
  See Also:
    Constant Field Values

### RENAME

    public static final String RENAME

  The command identifier for the "rename" action that typically appears in the file menu. Value: `"org.eclipse.ui.edit.rename"`

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.